Subject: Re: How to Import a bitkeeper repo into git

From: Pete/Piet Delaney <[email-masked]>
Date: Wed, 17 Oct 2007 14:47:14 -0700

Marco Costalba wrote:
> On 10/17/07, Pete/Piet Delaney <[email-masked]> wrote:
>> 't' worked fine but still can see how to diff do of the list of
>> changes for a file. Viewing diffs of files based on change sets
>> worked fine but I think with BitKeeper I found it helpful to be
>> able to do a full 'kompare' type diff the file only; often I'm
>> not interested in which change set it went into.
>>
> 
> Well, open tree view ('t'), select the file you are interested of,
> then click the magic wand button on the tool bar, now revisions you
> see are filtered by that file, if you browse the revisions the
> patch/diff you see will always point to your file (also if you can see
> the whole patch).

I take it the "magic wand button" is the check mark on the upper right
that says "Pin View (Alt-V)".  When I pin the view the view of the file
in Qgit locks to the selected file but the External diff seems to stay
the same. The External diff appears to show my last change to the file;
changing the change-set selection doesn't seem to change anything with
the view pinned.

> 
>> Something for a future version or am I lucky and you have
>> it covered already?
>>
> 
> Don't know, depends on how you answer to the above point ;-)

How'd I do?

> 
>> Good Idea, thought it's brought up a few questions:
>>
>>         1. When I do the <control-minis> to Decrease the font size
>>            I can't undo it with the <control-plus>. Also <control-plus>
>>            doesn't seem to do anything.
>>
>>         2. When displaying the "Lane info" why can't I see the
>>            branch names?
>>
> 
> Thanks for the reports, I will investigate as soon as I have a bit of
> spare time.

ok, I suspect that's an easy one.

> 
>> I'll read it a few more times. I seem to sometimes get into a state
>> where I'm locked onto the current change set and can't get back to
>> the other change sets without starting another qgit.
>>
> 
> Please, could you be so kind to better explain me the above point.
> Seems interesting, but I didn't get how to reproduce.

I'm not sure how I get into this state either, I'll try to recall
how I get into this state the next time it occurs.

> 
>>> Yes it is. There are a lot of new featrures, is almost as stable as
>>> the previous and if you are interested in file history (annotations)
>>> in qgit-2.0 this feature has been greatly speeded up.
>> Do you know if it's a lot of work to install Qt4?
>>
> 
> With Mandriva you are just at an uprmi away.
> 
> Try something like
> 
> urpmi libqt4-devel

    /nethome/piet$ su
    /nethome/piet$ /usr/sbin/urpmi libqt4-devel
                   no package named libqt4-devel
    /nethome/piet$

/urpmi libqt4 also didn't work.

> It worked for me ;-)

I'm running 2005 Limited Edition; I wonder if QT4 even existed then.
Think it's worth messing with QT4 just to upgrade to you latest version?
Some of these graphics libs can be bear to install from src.

- -piet

> Marco